apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2025-08-31T07:21:30Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:useCompatibilityMode': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:vms': {}
          .: {}
          'f:targetPowerState': {}
          'f:targetNamespace': {}
          'f:warm': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:migrateSharedDisks': {}
          'f:skipGuestConversion': {}
      manager: Mozilla
      operation: Update
      time: '2025-08-31T07:21:30Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:completed': {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2025-08-31T07:28:49Z'
  name: plan-qemtvd-05
  namespace: mtv-test
  resourceVersion: '16431868'
  uid: bff2df90-e3ad-46a6-9acc-1f597f74f848
spec:
  pvcNameTemplateUseGenerateName: true
  warm: false
  migrateSharedDisks: true
  targetNamespace: openshift-mtv
  useCompatibilityMode: true
  skipGuestConversion: false
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: qemtvd-05
      namespace: mtv-test
      uid: e762e0ba-644d-440c-9ef5-1636511e8957
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: qemtvd-05
      namespace: mtv-test
      uid: e762e0ba-644d-440c-9ef5-1636511e8957
  vms:
    - hooks:
        - hook:
            name: plan-qemtvd-05-pre-hook
            namespace: mtv-test
          step: PreHook
      id: 9b614b4c-2839-4c16-b89d-be3817faaaeb
      name: ameen-rhel9
      namespace: msafra
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: qemtvd-05-d2qjn
      namespace: mtv-test
      uid: 4441405a-698f-4c86-9c0d-edb8395a7fe2
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: qemtvd-05-8mt2w
      namespace: mtv-test
      uid: 74d1e147-7750-4aba-bfc5-8c606cea19e2
  targetPowerState: auto
status:
  conditions:
    - category: Required
      lastTransitionTime: '2025-08-31T07:21:30Z'
      message: The migration plan is ready.
      status: 'True'
      type: Ready
    - category: Advisory
      durable: true
      lastTransitionTime: '2025-08-31T07:28:49Z'
      message: The plan execution has FAILED.
      status: 'True'
      type: Failed
  migration:
    completed: '2025-08-31T07:28:49Z'
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-08-31T07:28:49Z'
            message: The plan execution has FAILED.
            status: 'True'
            type: Failed
        map:
          network:
            generation: 1
            name: qemtvd-05-d2qjn
            namespace: mtv-test
            uid: 4441405a-698f-4c86-9c0d-edb8395a7fe2
          storage:
            generation: 1
            name: qemtvd-05-8mt2w
            namespace: mtv-test
            uid: 74d1e147-7750-4aba-bfc5-8c606cea19e2
        migration:
          generation: 1
          name: plan-qemtvd-05-f7rqk
          namespace: mtv-test
          uid: 3de9d081-95f2-40e4-a5f9-f100c76d697b
        plan:
          generation: 1
          name: plan-qemtvd-05
          namespace: mtv-test
          uid: bff2df90-e3ad-46a6-9acc-1f597f74f848
        provider:
          destination:
            generation: 1
            name: qemtvd-05
            namespace: mtv-test
            uid: e762e0ba-644d-440c-9ef5-1636511e8957
          source:
            generation: 1
            name: qemtvd-05
            namespace: mtv-test
            uid: e762e0ba-644d-440c-9ef5-1636511e8957
    started: '2025-08-31T07:23:19Z'
    vms:
      - started: '2025-08-31T07:23:19Z'
        pipeline:
          - completed: '2025-08-31T07:23:19Z'
            description: Initialize migration.
            name: Initialize
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2025-08-31T07:23:19Z'
          - completed: '2025-08-31T07:23:31Z'
            description: Run pre-migration hook.
            name: PreHook
            phase: Completed
            progress:
              completed: 1
              total: 1
            started: '2025-08-31T07:23:21Z'
          - annotations:
              unit: MB
            description: Transfer disks.
            error:
              phase: Running
              reasons:
                - 'Unable to connect to http data source: expected status code 200, got 502. Status: 502 Bad Gateway'
            name: DiskTransfer
            phase: Running
            progress:
              completed: 3072
              total: 19456
            started: '2025-08-31T07:24:02Z'
            tasks:
              - annotations:
                  unit: MB
                error:
                  phase: Running
                  reasons:
                    - 'Unable to connect to http data source: expected status code 200, got 502. Status: 502 Bad Gateway'
                name: msafra/mig2-vm-179-m9mh6
                phase: Running
                progress:
                  completed: 0
                  total: 16384
                reason: 'Error; Unable to connect to http data source: expected status code 200, got 502. Status: 502 Bad Gateway'
                started: '2025-08-31T07:24:12Z'
              - annotations:
                  unit: MB
                completed: '2025-08-31T07:24:32Z'
                name: msafra/mig2-vm-179-vwhq2
                phase: Completed
                progress:
                  completed: 1024
                  total: 1024
                reason: Transfer completed.
                started: '2025-08-31T07:24:12Z'
              - annotations:
                  unit: MB
                completed: '2025-08-31T07:24:35Z'
                name: msafra/mig2-vm-179-jh76r
                phase: Completed
                progress:
                  completed: 2048
                  total: 2048
                reason: Transfer completed.
                started: '2025-08-31T07:24:12Z'
          - description: Create VM.
            name: VirtualMachineCreation
            phase: Pending
            progress:
              completed: 0
              total: 1
        error:
          phase: CopyDisks
          reasons:
            - 'Unable to connect to http data source: expected status code 200, got 502. Status: 502 Bad Gateway'
        completed: '2025-08-31T07:28:49Z'
        name: ameen-rhel9
        hooks:
          - hook:
              name: plan-qemtvd-05-pre-hook
              namespace: mtv-test
            step: PreHook
        luks: {}
        conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-08-31T07:28:46Z'
            message: The VM migration has FAILED.
            status: 'True'
            type: Failed
        restorePowerState: 'On'
        id: 9b614b4c-2839-4c16-b89d-be3817faaaeb
        namespace: msafra
        phase: Completed
  observedGeneration: 1
